Package com.orchestranetworks.rest.util

# Class CategoryURIBuilder<T extends URIBuilderForBuiltin<T>>

java.lang.Object
com.orchestranetworks.rest.util.CategoryURIBuilder<T>

Type Parameters:
  `T` - The built-in URI builder related to the specified category.

public final class CategoryURIBuilder<T extends URIBuilderForBuiltin<T>> extends Object
Maps each REST category and available version to their related URI builder.

It contains the necessary constants to get a `URIBuilderForBuiltin` instance using the method `URIInfoUtility.createBuilderForBuiltin(CategoryURIBuilder)`.

Since:
  6.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory>`
  `DATA_BO_V1`
  Mapping for REST category `data-bo` and version `v1`.
  `static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory>`
  `DATA_COMPACT_BO_V1`
  Mapping for REST category `data-compact-bo` and version `v1`.
  `static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory>`
  `DATA_COMPACT_V1`
  Mapping for REST category `data-compact` and version `v1`.
  `static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory>`
  `DATA_V1`
  Mapping for REST category `data` and version `v1`.
  `static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory>`
  `FORM_DATA_COMPACT_V1`
  Mapping for REST category `form-data-compact` and version `v1`.
  `static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory>`
  `FORM_DATA_V1`
  Mapping for REST category `form-data` and version `v1`.
  `static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory>`
  `HISTORY_V1`
  Mapping for REST category `history` and version `v1`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DATA_V1

    public static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory> DATA_V1
    Mapping for REST category `data` and version `v1`.

  - ### DATA_BO_V1

    public static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory> DATA_BO_V1
    Mapping for REST category `data-bo` and version `v1`.
    Since:
      6.1.3

  - ### DATA_COMPACT_V1

    public static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory> DATA_COMPACT_V1
    Mapping for REST category `data-compact` and version `v1`.

  - ### DATA_COMPACT_BO_V1

    public static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory> DATA_COMPACT_BO_V1
    Mapping for REST category `data-compact-bo` and version `v1`.
    Since:
      6.1.3

  - ### FORM_DATA_V1

    public static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory> FORM_DATA_V1
    Mapping for REST category `form-data` and version `v1`.

  - ### FORM_DATA_COMPACT_V1

    public static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory> FORM_DATA_COMPACT_V1
    Mapping for REST category `form-data-compact` and version `v1`.

  - ### HISTORY_V1

    public static final CategoryURIBuilder<URIBuilderForBuiltin.ForDataAndHistory> HISTORY_V1
    Mapping for REST category `history` and version `v1`.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`